package ch.std.openfeign.rest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import ch.std.openfeign.client.JSONFakeClient;
import ch.std.openfeign.client.JSONFakeInvalidClient;
import net.minidev.json.JSONObject;

@RestController
@RequestMapping("/rest/jsonfake")
public class JSONFakeRest {

	@Autowired
	private JSONFakeClient jsonFakeClient;

	@Autowired
	private JSONFakeInvalidClient jsonFakeInvalidClient;

	@GetMapping("/get")
	public JSONObject getJSONFake(@RequestParam(value = "jsonReply", required = false) String jsonReply) {
		return this.jsonFakeClient.getJSONFake(jsonReply);
	}

	@GetMapping("/post")
	public JSONObject postJSONFake(@RequestParam(value = "jsonReply", required = false) String jsonReply) {
		return this.jsonFakeClient.postJSONFake(jsonReply);
	}

	@GetMapping("/fallback")
	public JSONObject getJSONFakeFallback(@RequestParam(value = "jsonReply", required = false) String jsonReply) {
		return this.jsonFakeInvalidClient.getJSONFake(jsonReply);
	}

}
